Bug 857458 - Intermittend dark screen just after grub
Intermittend dark screen just after grub
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 09:34 EDT by Peter H. Jones
Modified: 2013-02-26 10:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:18:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
edited /var/log/messages (301.21 KB, text/plain)
2012-10-26 23:01 EDT, Peter H. Jones
no flags Details
another occurrence, not edited (302.86 KB, text/plain)
2012-10-30 14:57 EDT, Peter H. Jones
jones: review?
Details
/var/log/messages (189.59 KB, text/plain)
2012-11-20 14:56 EST, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2012-09-14 09:34:37 EDT
Description of problem:
Screen goes dark when powering up and selecting a system to boot in grub

Version-Release number of selected component (if applicable):
kernel-3.4.9-2.fc16.x86_64 on Toshiba NB555D

How reproducible:
Occurs once in a 10 or 20 boots, whether in a cold boot, or resuming from hibernate.

Steps to Reproduce:
1. Boot system with the power switch
2. Select a system with grub
3.
  
Actual results:
Sometimes hangs with completely dark screen, right after "Loading initial RAMDISK". No disk activity visible. Works correctly if rebooted with CTRL-ALT-DEL

Expected results:
Normal boot

Additional info:
I believe the problem occurs before recording in /var/log/messages begins, so I don't know how to provide information on what is happening when the machine hangs.
Comment 1 Dave Jones 2012-10-23 11:38:56 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Peter H. Jones 2012-10-26 23:01:50 EDT
Created attachment 634114 [details]
edited /var/log/messages

I just experienced the bug with kernel 3.6.2-1.fc16.x86_64 #1 SMP . The attached shows /var/log/messages with the boot to a dark (normal) screen followed by a CTRL-ALT-DEL boot that was successful. The unsuccesful part of this file contains messages like the following:

"916 Oct 26 22:33:05 toshlocalhost kernel: [   50.701672] radeon 0000:00:01.0: couldn't schedule         ib
    917 Oct 26 22:33:05 toshlocalhost kernel: [   50.701687] [drm:radeon_cs_ib_chunk] *ERROR* Failed         to schedule IB !
   "
Comment 3 Peter H. Jones 2012-10-30 14:57:13 EDT
Created attachment 635721 [details]
another occurrence, not edited
Comment 4 Peter H. Jones 2012-11-20 14:56:57 EST
Created attachment 648764 [details]
/var/log/messages

another occurrence, from shutdown in working mode, through the failure, then a reboot to recovery mode prompt. Exiting from that resulted in a successful boot (not shown).

When I had the failure, I saw the Toshiba boot screen, then alternating gray and dark screens. Sometimes I got horizontal colored streaks and dots. To reboot, I tried CTRL-ALT-F1, CTRL-ALT-BKSP, and CTRL-ALT-DEL with and without SHIFT. CTRL-ALT-DEL resulted in the reboot shown.

My kernel is now kernel-3.6.6-1.fc16.x86_64.
Comment 5 Peter H. Jones 2012-11-20 15:00:20 EST
I am about to apply the following updates. Perhaps they will help.

libfm.x86_64                                1.1.0-1.fc16                 updates
libfm-gtk.x86_64                            1.1.0-1.fc16                 updates
mailx.x86_64                                12.5-4.fc16                  updates
pcmanfm.x86_64                              1.1.0-1.fc16                 updates
selinux-policy.noarch                       3.10.0-96.fc16               updates
selinux-policy-targeted.noarch              3.10.0-96.fc16               updates
Comment 6 Fedora End Of Life 2013-01-16 16:07:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-26 10:18:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.